TokenLab

핵심

모델 가격 조회

특정 모델의 가격 및 관련 가격 티어를 조회합니다

GET
/v1/models/{model}/pricing

이 퍼블릭 엔드포인트는 API 키가 필요하지 않습니다. 가격 정보만 반환합니다. 요청 필드 및 지원되는 작업은 모델 조회를 참조하세요.

경로 매개변수

modelstringpath필수

gpt-5.6-terra와 같은 모델 ID입니다.

응답

modelstring
모델 ID입니다.
pricing_unitstring
per_token과 같은 청구 단위입니다.
deliveryAvailabilityobject

모델에 verified 및 official 공급이 제공되는지 여부와 각 작업별 제공 여부입니다.

scalar_pricingobject

USD 기준 Verified 가격: input_per_1m, output_per_1m, per_request 및 is_lock_price. deliveryAvailability.verified가 false인 경우 가격 필드는 null이며, 해당 모델은 Official 가격으로 청구됩니다.

official_scalar_pricingobject

동일한 형태의 Official 가격입니다. Official이 제공하는 요청은 이 가격으로 청구됩니다.

has_complex_pricingboolean

입력 크기, 해상도 또는 재생 시간과 같이 둘 이상의 요율에 따라 가격이 결정되는 경우 true입니다. 이 경우 pricing_details 및 pricing_summary를 참조하세요.

pricing_summaryobject | null

해당 모델의 최저 및 최고 가격입니다.

pricing_detailsobject | null

가격 티어: 각 항목에는 적용 조건과 가격이 나열됩니다.

supported_operationsstring[]
가격이 적용되는 작업 목록입니다.

알 수 없거나 사용할 수 없는 모델인 경우 404 model_not_found가 반환됩니다.

요청

cURL
curl "https://api.tokenlab.sh/v1/models/text-embedding-3-small/pricing"

응답

Response
{
  "model": "text-embedding-3-small",
  "pricing_unit": "per_token",
  "has_complex_pricing": false,
  "supported_operations": ["embedding"],
  "deliveryAvailability": { "verified": false, "official": true },
  "scalar_pricing": {
    "input_per_1m": null,
    "output_per_1m": null,
    "per_request": null,
    "is_lock_price": false,
    "currency": "USD"
  },
  "official_scalar_pricing": {
    "input_per_1m": "0.02",
    "output_per_1m": "0",
    "per_request": null,
    "is_lock_price": false,
    "currency": "USD"
  }
}

이 예시는 응답 형식을 보여줍니다. 가격은 변동될 수 있으므로 실제 응답을 확인하세요.

경로 매개변수

model*string

모델 ID

응답

application/json

application/json

application/json